org.cpsolver.studentsct.report

## Class CourseSection

- java.lang.Object
- - org.cpsolver.studentsct.report.CourseSection

- All Implemented Interfaces:
    Comparable<CourseSection>

      public class CourseSection
      extends Object
      implements Comparable<CourseSection>

  A simple class containing reference to a (course, class) pair. Used in some of the reports. Provides sorting capabilities.
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2013 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CourseSection(Course course, Section section)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(CourseSection other)`
    `boolean` | `equals(Object o)`
    `Course` | `getCourse()` Course
    `Section` | `getSection()` Class
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CourseSection

          public CourseSection(Course course,
                               Section section)

      Constructor
      Parameters:
        `course` - selected course offering
        `section` - selected class

  - ### Method Detail

    - #### getCourse

          public Course getCourse()

      Course
      Returns:
        selected course offering

    - #### getSection

          public Section getSection()

      Class
      Returns:
        selected class

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(CourseSection other)

      Specified by:
        `compareTo` in interface `Comparable<CourseSection>`